Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu.template
Class TemplateExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  juzu.impl.application.ApplicationException
                      juzu.template.TemplateExecutionException

All Implemented Interfaces:
  Serializable

    public class TemplateExecutionException

extends juzu.impl.application.ApplicationException

An exception that denotes a template execution exception.

Version:
  $Revision$
Author:
  Julien Viet
See Also:
  Serialized Form

Constructor Summary
`TemplateExecutionException(String templateId, juzu.impl.utils.Location location, String text, String message, Throwable cause)`
`TemplateExecutionException(String templateId, juzu.impl.utils.Location location, String text, Throwable cause)`

Method Summary
`Integer` | `getLineNumber()`
`String` | `getMessage()`
`String` | `getText()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TemplateExecutionException

    public TemplateExecutionException(String templateId,
                                      juzu.impl.utils.Location location,
                                      String text,
                                      String message,
                                      Throwable cause)

### TemplateExecutionException

    public TemplateExecutionException(String templateId,
                                      juzu.impl.utils.Location location,
                                      String text,
                                      Throwable cause)

Method Detail

### getText

    public String getText()

### getLineNumber

    public Integer getLineNumber()

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.